<?php
require_once(PATH_t3lib.'class.t3lib_befunc.php');
class tx_mageconnect_userLabel 
{
 	/**
	 * getProductLabel
	 * Get backend label for product record
	 * 
	 * @param $params
	 * @param $pObj
	 * @return string
	 */
	function getProductLabel(&$params, &$pObj)
	{
		$id = $params['row']['uid'];
		$mylabel = $params['row']['name'];
		
		if ($id) { 
			$item = t3lib_BEfunc::getRecord('tx_mageconnect_products', $id);
			$storeView = (empty($item['store_view']))?'-':$item['store_view'];
			
			$params['title'] = '[Store: '.$storeView.'][ID '.$item['product_id'].'] '.$item['name'];
		} else {
			$label = "Error";
			$params['title'] = $mylabel.', '.$label;
		}
		
	} 
	
	/**
	 * getCategoryLabel
	 * Get backend label for category record
	 * 
	 * @param $params
	 * @param $pObj
	 * @return string
	 */
	function getCategoryLabel(&$params, &$pObj)
	{
		$id = $params['row']['uid'];
		$mylabel = $params['row']['name'];
		
		if ($id) { 
			$item = t3lib_BEfunc::getRecord('tx_mageconnect_categories', $id);
			$storeView = (empty($item['store_view']))?'-':$item['store_view'];
			
			$params['title'] = '[Store: '.$storeView.'][ID '.$item['category_id'].'] '.$item['name'];
		} else {
			$label = "Error";
			$params['title'] = $mylabel.', '.$label;
		}
	}
}
