<?php
require_once(t3lib_extMgm::extPath('mageconnect') . 'lib/class.tx_mageconnect_helper.php');

class tx_mageconnect_forgot_password
{
	private $_helper;

	/**
	 * __construct
	 * Constructor
	 */
	public function __construct()
	{
		$this->_helper = t3lib_div::makeInstance('tx_mageconnect_helper'); 
		
	}

	/**
	 * getForgotPasswordUrl
	 * Gets the url to the forgot password
	 * controller
	 * 
	 * @return string
	 */
	public function getForgotPasswordUrl()
	{
		return $this->_helper->getForgotPasswordUrl();
	}
	
	/**
	 * post
	 * Post Data to an url
	 * 
	 * @param string $url Url where data is post to
	 * @param string $data Data String
	 */
	public function post($url, $data)
	{
		$url = parse_url($url);
		
		$host = $url['host'];
        $path = $url['path'];

		$content_length = strlen($data);
		$fp = fsockopen($host, 80);
		
		fputs($fp, "POST $path HTTP/1.1\r\n");
		fputs($fp, "Host: $host\r\n");
		fputs($fp, "Content-Type: application/x-www-form-urlencoded\r\n");
		fputs($fp, "Content-Length: $content_length\r\n");
		fputs($fp, "Connection: close\r\n\r\n");
		fputs($fp, $data);
		
		$http_response = '';
		$header = "not yet"; 
		while (!feof($fp)) {
			
			$line = fgets( $fp, 128 );
		    if( $line == "\r\n" && $header == "not yet" ) {
		        $header = "passed";
		    }
		    if( $header == "passed" ) {
		        $http_response .= $line;
		    } 
		}
		fclose($fp);
		return substr( $http_response, 2 ); 
	}
}

$fPwd = t3lib_div::makeInstance('tx_mageconnect_forgot_password'); 
$url = $fPwd->getForgotPasswordUrl();

$email = '';
$email = t3lib_div::_GP('email');
$data = 'email='.$email;
try {
	$response = $fPwd->post($url, $data);
	if (strlen($response) > 0) {
		echo '<div class=\'ajax_response\'>'.$response.'</div>'; 
	}
	
} catch (Exception $e){
	echo 'Could not load from URL ' . '(' .$e->getMessage().')';
}